Package ghidra.framework.options

# Class FileOptions

java.lang.Object
ghidra.framework.options.AbstractOptions
ghidra.framework.options.FileOptions

All Implemented Interfaces:
  `Options`

public class FileOptions extends AbstractOptions

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.framework.options.AbstractOptions

  `AbstractOptions.AliasBinding`

- ## Field Summary

  ### Fields inherited from class ghidra.framework.options.AbstractOptions

  `aliasMap, categoryHelpMap, listeners, name, optionsEditorMap, SUPPORTED_CLASSES, themeListener, themeToOptionMap, valueMap`

  ### Fields inherited from interface ghidra.framework.options.Options

  `DELIMITER, DELIMITER_STRING, ILLEGAL_DELIMITER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileOptions(File file)`
  `FileOptions(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileOptions`
  `copy()`
  `protected Option`
  `createRegisteredOption(String optionName, OptionType type, String description, HelpLocation help, Object defaultValue, PropertyEditor editor)`
  `protected Option`
  `createUnregisteredOption(String optionName, OptionType type, Object defaultValue)`
  `File`
  `getFile()`
  `protected boolean`
  `notifyOptionChanged(String optionName, Object oldValue, Object newValue)`
  `CustomOption`
  `readCustomOption(GProperties properties)`
  `void`
  `save(File saveFile)`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.framework.options.AbstractOptions

  `contains, createAlias, dispose, findPropertyEditor, getBoolean, getByteArray, getCategoryHelpLocation, getChildOptions, getColor, getCustomOption, getDate, getDefaultValue, getDefaultValueAsString, getDescription, getDouble, getEnum, getFile, getFloat, getFont, getHelpLocation, getID, getInt, getKeyStroke, getLeafOptionNames, getLong, getName, getObject, getOption, getOptionNames, getOptions, getOptionsEditor, getOptionsEditor, getOptionsHelpLocation, getPropertyEditor, getRegisteredPropertyEditor, getString, getType, getValueAsString, isAlias, isDefaultValue, isRegistered, putObject, putObject, registerOption, registerOption, registerOption, registerOptionsEditor, registerOptionsEditor, registerThemeColorBinding, registerThemeFontBinding, removeOption, restoreDefaultValue, restoreDefaultValues, setBoolean, setByteArray, setCategoryHelpLocation, setColor, setCustomOption, setDate, setDouble, setEnum, setFile, setFloat, setFont, setInt, setKeyStroke, setLong, setName, setOptionsHelpLocation, setString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileOptions

    public FileOptions(String name)

  - ### FileOptions

    public FileOptions(File file) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### save

    public void save(File saveFile) throws IOException
    Throws:
      `IOException`

  - ### getFile

    public File getFile()

  - ### readCustomOption

    public CustomOption readCustomOption(GProperties properties)

  - ### createRegisteredOption

    protected Option createRegisteredOption(String optionName, OptionType type, String description, HelpLocation help, Object defaultValue, PropertyEditor editor)
    Specified by:
      `createRegisteredOption` in class `AbstractOptions`

  - ### createUnregisteredOption

    protected Option createUnregisteredOption(String optionName, OptionType type, Object defaultValue)
    Specified by:
      `createUnregisteredOption` in class `AbstractOptions`

  - ### notifyOptionChanged

    protected boolean notifyOptionChanged(String optionName, Object oldValue, Object newValue)
    Specified by:
      `notifyOptionChanged` in class `AbstractOptions`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractOptions`

  - ### copy

    public FileOptions copy()